LIBPFM(3)

NAME
pfm_initialize - initialize library

SYNOPSIS
#include <perfmon/pfmlib.h>

int pfm_initialize(void);

DESCRIPTION
This is the first function that a program must call otherwise the library will not operate. This function probes the underlying hardware looking for valid PMU event tables to activate. Multiple distinct PMU tables may be activated at the same time.

The function must be called only once. If the function is called more than once, it does not execute the initialization multiple times, it simply returns the same value as for the first call.

RETURN
The function returns whether or not it was successful, i.e., at least one PMU was activated. A return value of PFMLIB_SUCCESS indicates success, otherwise the value is an error code.

ERRORS

PFMLIB_ERR_NOTSUPP
    No PMU was activated.

AUTHOR
Stephane Eranian <eranian@gmail.com>